*** Settings ***
Library    AppiumLibrary

*** Variables ***
${RemoteURL}            http://localhost:4723/wd/hub
${platformName}         Android
${platformVersion}      12.0
${deviceName}           emulator-5554
${appPackage}           com.google.android.youtube
${appActivity}          com.google.android.apps.youtube.app.watchwhile.WatchWhileActivity


*** Keywords ***
Open App Start
    Open Application    ${RemoteURL}    
    ...                 platformName=${platformName}    
    ...                 platformVersion=${platformVersion}    
    ...                 deviceName=${deviceName}    
    ...                 automationName=UiAutomator2    
    ...                 newCommandTimeout=2500    
    ...                 appPackage=${appPackage}    
    ...                 appActivity=${appActivity}   

Youtube Start
     Wait Until Page Contains    YouTube
    # Tap    id=com.google.android.youtube:id/youtube_logo
    # Tap    xpath=//android.widget.Button[@content-desc="Shorts"]/android.widget.FrameLayout/android.widget.ImageView
    Wait Until Element Is Visible    xpath=//android.widget.ImageView[@content-desc="Search"]
    Click Element    xpath=//android.widget.ImageView[@content-desc="Search"]
    # Wait Until Element Is Visible    id=com.google.android.youtube:id/search_edit_text
    input text    id=com.google.android.youtube:id/search_edit_text    เพลง2023
    Wait Until Element Is Visible    xpath=/hierarchy/android.widget.FrameLayout/android.widget.LinearLayout/android.widget.FrameLayout/android.widget.LinearLayout/android.widget.FrameLayout/androidx.drawerlayout.widget.DrawerLayout/android.widget.FrameLayout/android.view.ViewGroup/android.widget.FrameLayout[2]/android.view.ViewGroup/android.widget.ScrollView/android.widget.FrameLayout[2]/android.widget.FrameLayout/android.widget.ListView/android.view.ViewGroup[2]/android.widget.TextView
    Click Element    xpath=/hierarchy/android.widget.FrameLayout/android.widget.LinearLayout/android.widget.FrameLayout/android.widget.LinearLayout/android.widget.FrameLayout/androidx.drawerlayout.widget.DrawerLayout/android.widget.FrameLayout/android.view.ViewGroup/android.widget.FrameLayout[2]/android.view.ViewGroup/android.widget.ScrollView/android.widget.FrameLayout[2]/android.widget.FrameLayout/android.widget.ListView/android.view.ViewGroup[2]/android.widget.TextView
    FOR  ${i}  IN  RANGE    5
        #     x,yเริ่มต้นที่จะเลื่อนขึ้น / x,y สิ้นสุด  / หน่วงเวลาเท่าไหร่
        Swipe    500    1500    500    300    2000
    END

*** Test Cases ***
First Script
    Open App Start
    Youtube Start
    Close Application



    

    